Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app.table
Interface TableColumnModel

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  DefaultTableColumnModel

    public interface TableColumnModel

extends java.io.Serializable

A representation of the collection of `TableColumn`s of a `Table`.

Method Summary
`void` | `addColumn(TableColumn column)` Adds a table column to the end of the model.
`void` | `addColumnModelListener(TableColumnModelListener l)` Adds a listener to be notified of updates to this `TableColumnModel`.
`TableColumn` | `getColumn(int columnIndex)` Returns the `TableColumn` at the specified index.
`int` | `getColumnCount()` Returns the number of columns in the column model.
`int` | `getColumnIndex(java.lang.Object identifier)` Returns the index of the table column with the given identifier.
`java.util.Iterator` | `getColumns()` Returns an `Iterator` over the columns of the column model.
`void` | `moveColumn(int columnIndex, int newIndex)` Moves a table column to a new index within the model.
`void` | `removeColumn(TableColumn column)` Remove a table column from the model.
`void` | `removeColumnModelListener(TableColumnModelListener l)` Removes a listener from being notified of updates to this `TableColumnModel`.

Method Detail

### addColumn

    void addColumn(TableColumn column)

  Adds a table column to the end of the model.

  Parameters:
    `column` - the column to add

### addColumnModelListener

    void addColumnModelListener(TableColumnModelListener l)

  Adds a listener to be notified of updates to this `TableColumnModel`.

  Parameters:
    `l` - the listener to add

### getColumn

    TableColumn getColumn(int columnIndex)

  Returns the `TableColumn` at the specified index.

  Parameters:
    `columnIndex` - the index
  Returns:
    the column

### getColumnCount

    int getColumnCount()

  Returns the number of columns in the column model.

  Returns:
    the number of columns

### getColumnIndex

    int getColumnIndex(java.lang.Object identifier)

  Returns the index of the table column with the given identifier.

  Parameters:
    `identifier` - the identifier
  Returns:
    the index
  Throws:
    `java.lang.IllegalArgumentException` - if the value of `identifier` is null or if the no column was found with the given identifier

### getColumns

    java.util.Iterator getColumns()

  Returns an `Iterator` over the columns of the column model.

  Returns:
    the `Iterator`

### moveColumn

    void moveColumn(int columnIndex,
                    int newIndex)

  Moves a table column to a new index within the model.

  Parameters:
    `columnIndex` - the index of the column to move
    `newIndex` - the new index of the specified column

### removeColumn

    void removeColumn(TableColumn column)

  Remove a table column from the model.

  Parameters:
    `column` - the column to remove

### removeColumnModelListener

    void removeColumnModelListener(TableColumnModelListener l)

  Removes a listener from being notified of updates to this `TableColumnModel`.

  Parameters:
    `l` - the listener to remove

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD